package com.company.maskedfieldbug.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import com.haulmont.chile.core.annotations.NumberFormat;
import java.math.BigDecimal;
import javax.persistence.Column;
import com.haulmont.cuba.core.entity.StandardEntity;

@Table(name = "MASKEDFIELDBUG_NEW_ENTITY")
@Entity(name = "maskedfieldbug$NewEntity")
public class NewEntity extends StandardEntity {
    private static final long serialVersionUID = 5290036363433070784L;

    @NumberFormat(pattern = "00.000000", decimalSeparator = ".")
    @Column(name = "DECIMAL_VALUE1", precision = 8, scale = 6)
    protected BigDecimal decimalValue1;

    @NumberFormat(pattern = "00.000000", decimalSeparator = ".")
    @Column(name = "DECIMAL_VALUE2", precision = 8, scale = 6)
    protected BigDecimal decimalValue2;

    public void setDecimalValue1(BigDecimal decimalValue1) {
        this.decimalValue1 = decimalValue1;
    }

    public BigDecimal getDecimalValue1() {
        return decimalValue1;
    }

    public void setDecimalValue2(BigDecimal decimalValue2) {
        this.decimalValue2 = decimalValue2;
    }

    public BigDecimal getDecimalValue2() {
        return decimalValue2;
    }


}